Subject: Re: [Gen-art] [TLS] Genart last call review of draft-ietf-tls-iana-registry-updates-04

From: Alissa Cooper <[email-masked]>
Date: Tue, 3 Apr 2018 10:30:55 -0400

Stewart, thanks for your review. Sean, thanks for the updates. I have entered a No Objection ballot.

Alissa

> On Feb 27, 2018, at 2:22 PM, Sean Turner <[email-masked]> wrote:
> 
> 
> 
>> On Feb 27, 2018, at 11:21, Russ Housley <[email-masked]> wrote:
>> 
>> 
>>>> Minor issues:
>>>> 
>>>> I think convention is to list the documents being updated in the Abstract, but
>>>> cannot find any formal guidance.
>>> 
>>> You’re right that is the convention, but it’s not required.  draft-flanagan-7322bis is attempting to make including updates in the abstract a must, but it’s not been through any kind of LC yet.  There is a sentence there saying that a lot of RFCs are updated and to see the updates header so I think under the 7322 to balance concise and to not include references I’m thinking this is okay.
>>> 
>> 
>> If another update top the document is needed, then it does not seem hard to comply with the coming convention.
> 
> Just an FYI I plan to object to the coming convention :)
> 
>> ======
>>>> 
>>>> If an item is marked as not recommended it does not necessarily mean
>>>> SB> Do you mean "marked as not recommended" or "not marked as recommended”.
>>> 
>>> There are two states for the Recommended column: YES and NO.  I can go either way on whether
>>> marked as not recommended = NO
>>> not marked as recommended = NO
>>> 
>>> WG - thoughts?
>> 
>> I think the second wording is more clear.
> 
> fixed
> 
>>>> =======
>>>> SB>  I am worried about the semantics of Recommended = no.
>>>> SB> Presumably there are three states: recommended, not recommended,
>>>> SB> and silent/don't know/don't care/not yet. Which of these
>>>> SB> states does Recommended = no represent?
>>> 
>>> There are two states and a draft that specifies a value in a registry that has a Recommended column needs to state which it is.  I’m not too concerned because we can change the column value later if it turns out a NO should have been a YES.
>> 
>> It would be more clear is Section 6 said that each parameter will have either "yes" or "no" in the new recommended column.
> 
> Can do:
> 
> OLD:
> 
>  The instructions in this document add a Recommended column to many of the
>  TLS registries
> 
> NEW:
> 
>  The instructions in this document add a Recommended column with a value
>  of YES or NO to many of the (D)TLS registries
> 
> PR: https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/pull/63
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art